# makefile2.0

IDIR = ../include
OBJDIR = obj
SRCDIR = .
CC = gcc
CFLAGS = -w -I$(IDIR)
PROGRAM = prog

SRC = $(wildcard $(SRCDIR)/*.c)
OBJ = $(patsubst $(SRCDIR)/%.c, $(OBJDIR)/%.o, $(SRC))

DEP = $(patsubst $(SRCDIR)/%.c, $(SRCDIR)/%.d, $(SRC))

$(PROGRAM): $(OBJ)
	$(CC) -o $@ $^

$(OBJDIR)/%.o: $(SRCDIR)/%.c
	$(CC) -o $@ -c $< $(CFLAGS)

%.d: %.c
	$(CC) -MM -MT $(OBJDIR)/$*.o $< $(CFLAGS) > $@

include $(DEP)

clean:
	rm -f $(OBJDIR)/*.o
	rm -f *.d
	rm -f *~
	rm -f $(PROGRAM)

.PHONY: clean
